SessionDock Developer Docs

Make your creative workflow programmable.

Authoritative guides, generated Local API reference, and practical patterns for local automation, scripts, launchers, and AI agents running alongside SessionDock.

Delete a session

Deletes a session by identifier. Requires full-automation mode.

DELETE/api/v1/sessions/{id}

Deletes a session by identifier. Requires full-automation mode.

curl -X DELETE 'http://127.0.0.1:18432/api/v1/sessions/session_123' \
  -H 'Authorization: Bearer <token>'

Parameters

NameInTypeRequiredDescriptionExample
idpathstringYesSession identifier.session_123

Responses

200

Deletion acknowledgement

application/json

Schema Shape

{
  "data": {
    "deleted": true,
    "id": "<string>"
  }
}

Example

{
  "data": {
    "deleted": true,
    "id": "<string>"
  }
}
401

Missing or invalid bearer token.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 401,
    "code": "unauthorized",
    "message": "Provide Authorization: Bearer <token>."
  }
}
403

Write attempted while Local API is in read-only mode.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 403,
    "code": "read_only",
    "message": "Enable Full Automation to perform this action."
  }
}
404

No matching resource was found.

application/json

Schema Shape

{
  "error": {
    "status": 0,
    "code": "<string>",
    "message": "<string>"
  }
}

Example

{
  "error": {
    "status": 404,
    "code": "not_found",
    "message": "session not found"
  }
}